Chip (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physcomp.Chip interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physcomp
Interface Chip

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalComponent, PhysicalElement, java.io.Serializable

    public interface Chip

extends PhysicalComponent

Created by IntelliJ IDEA. User: viswanath Date: Sep 1, 2005 Time: 10:24:05 AM To change this template use File | Settings | File Templates. Physical IC like chips, ram, flash

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.phys.physcomp.PhysicalComponent
`BACKPLANE, CHASSIS, FAN, MODULE, OTHER, PORT, POWERSUPPLY, RACK, SENSOR, SLOT, UNKNOWN`

Fields inherited from interface com.collation.platform.model.topology.core.PhysicalElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBankLabel()`
`long` | `getCapacity()`
`boolean` | `hasBankLabel()`
`boolean` | `hasCapacity()`
`void` | `setBankLabel(java.lang.String label)`
`void` | `setCapacity(long capacity)`

Methods inherited from interface com.collation.platform.model.topology.phys.physcomp.PhysicalComponent
`getName, getParent, getRelativePosition, getType, hasName, hasParent, hasRelativePosition, hasType, setName, setParent, setRelativePosition, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getBankLabel

    java.lang.String getBankLabel()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBankLabel

    void setBankLabel(java.lang.String label)

### hasBankLabel

    boolean hasBankLabel()

### getCapacity

    long getCapacity()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapacity

    void setCapacity(long capacity)

### hasCapacity

    boolean hasCapacity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD